Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Don't require zc-zookeeper-static as a dep.

  • Loading branch information...
commit a60bf5b68aef3ba66999c8c87f8610c58ea22e20 1 parent 2051bb5
@bbangert bbangert authored
Showing with 22 additions and 1 deletion.
  1. +1 −0  .travis.yml
  2. +2 −0  CHANGES.rst
  3. +19 −0 docs/index.rst
  4. +0 −1  setup.py
View
1  .travis.yml
@@ -18,5 +18,6 @@ before_install:
install:
- make build
+ - ./bin/easy_install -U zc-zookeeper-static
script: make test
View
2  CHANGES.rst
@@ -15,6 +15,8 @@ Changes
connection loss exception during their call, and have lock code run
in a separate thread to ensure it doesn't deadlock the ZK event
thread.
+- Removed zc-zookeeper-static requirement as some OS distributions include
+ the python zookeeper binding as a system package.
Bugfixes
********
View
19 docs/index.rst
@@ -15,6 +15,25 @@ Features:
* :mod:`Nodes <zktools.node>` - Objects to track values in Zookeeper
Nodes (zNodes) automatically.
+Installing
+==========
+
+zktools can be installed via ``easy_install`` or ``pip``:
+
+.. code-block:: bash
+
+ $ easy_install zktools
+
+You will also need the Python zookeeper C binding installed. There's an
+easy to install staticly compiled version:
+
+.. code-block:: bash
+
+ $ easy_install zc-zookeeper-static
+
+Or if your OS distribution includes a python-zookeeper package, that can
+be installed.
+
Reference Material
==================
View
1  setup.py
@@ -18,7 +18,6 @@
on_rtd = os.environ.get('READTHEDOCS', None) == 'True'
if not on_rtd:
reqs.extend([
- "zc-zookeeper-static>=3.3.4.0",
])
setup(
Please sign in to comment.
Something went wrong with that request. Please try again.